Skip to main content
PUT
State a rate card (bearer twin)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-ankra-organisation-id
string

PAT organisation override.

Body

application/json

Body of PUT /api/v1/org/cloud-cost/rate-cards: the monthly rates that price one private credential's capacity, or the organisation's fallback card.

currency
string
required

Currency the amounts are stated in; one of the platform's convertible currencies.

credential_id
string | null

A private credential id, or organisation (or omitted) for the organisation's fallback card.

memory_gb_monthly_amount
string
default:0

Decimal amount per GB of memory per month.

storage_gb_monthly_amount
string
default:0

Decimal amount per GB of storage per month.

vcpu_monthly_amount
string
default:0

Decimal amount per vCPU per month.

Response

Successful response

currency
string
required
memory_gb_monthly_amount
string
required
storage_gb_monthly_amount
string
required
vcpu_monthly_amount
string
required